<div class="main-form">
  <div class="main-form__header">
    <h1>Login</h1>
  </div>

  <form
    class="main-form__body"
    (submit)="submitLoginForm()"
    [formGroup]="loginForm"
  >
    <div class="main-form__body--msg-error" *ngIf="loginFail">
      <span>Invalid username/password</span>
    </div>

    <div class="form-item">
      <label class="form-item__label form-item__label--required" for="email">Email</label>
      <input
        class="form-item__input"
        [ngClass]="{ 'form-item__input--invalid': validEmail || loginFail }"
        placeholder="Email"
        formControlName="email"
      />
      <span *ngIf="validEmail" class="form-item--message">
        Invalid email
      </span>
    </div>

    <div class="form-item">
      <label class="form-item__label form-item__label--required" for="password">Password</label>
      <input
        class="form-item__input"
        [ngClass]="{ 'form-item__input--invalid': validPassword || loginFail }"
        placeholder="Password"
        type="password"
        formControlName="password"
      />

      <span *ngIf="validPassword" class="form-item--message">
        Invalid password
      </span>
    </div>

    <button
      [disabled]="loginForm.invalid"
      [ngClass]="{
        'disabled-btn': loginForm.invalid,
        'primary': !loginForm.invalid
      }"
      type="submit"
      class="button medium-btn"
    >
      Login
    </button>
    
  </form>
  
</div>
